TOUCH(1)

NAME
touch - change file access and modification times

SYNOPSIS
touch [-c] [-a] [-m] [-r file] [-t [CC[YY]]MMDDhhmm[.ss]] [MMDDhhmm[YY]] file ...

OPTIONS

EXAMPLES

DESCRIPTION

With no options specified, the times of last modification and last access are set to the current time. This command is mostly used to trick make into thinking that a file is more recent than it really is. If the file being touched does not exist, it is created, unless the -c flag is present.

The -a or -m flag may be used to change only the access or modification time. The -r or -t flag may be used to change the times to match the times of another file or to a specified time.

SEE ALSO
utime(2).

AUTHOR

Original author unknown. Rewritten for POSIX by Peter Holzer (hp@vmars.tuwien.ac.at).